<?php

/**
 * KataoInvoice form.
 *
 * @package form
 * @subpackage katao_invoice
 * @version SVN: $Id: sfPropelFormTemplate.php 6174 2007-11-27 06:22:40Z fabien $
 */
class KataoInvoiceForm extends BaseKataoInvoiceForm {
    public function configure() {
        unset($this->validatorSchema['created_at'], $this->validatorSchema['updated_at']);
        unset($this->widgetSchema['created_at'], $this->widgetSchema['updated_at']);

        $this->widgetSchema['katao_user_id'] = new sfWidgetFormSelect(array('choices' => KataoUserPeer::getAll()));
        $this->widgetSchema['status'] = new sfWidgetFormSelect(array('choices' => KataoInvoicePeer::getAllStatuses()));

        $this->widgetSchema->setLabels(array(
                'katao_user_id' => 'Adhérent',
                'katao_period_id' => 'Période',
                'status' => 'Etat',
                ));
    }
}